<?php
/*
 * Plugin Name: WOPshop Wishlist
 * Plugin URI: http://www.wop-agentur.com/wopshop/
 * Description: Wishlist widget for WOPshop
 * Version: 1.0.0
 * Author: MAXXmarketing GmbH
 * Author URI: http://www.wop-agentur.com
 *
 * Open Source License, GNU GPL
 */
 
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

if (!defined('WOPSHOP_PLUGIN_DIR')){
    return false;   
}

if (class_exists('Wopshop')){
    add_action('widgets_init', function(){
        register_widget('wshopWishlistWidget');
    });
}

class wshopWishlistWidget extends WP_Widget {
    public function __construct() {
        $config = Factory::getConfig();
        $lang = $config->getLang();
		
        if (is_file(__DIR__.'/lang/'.$lang.'.php')) {
            require_once(__DIR__.'/lang/'.$lang.'.php');
        } else {
            require_once(__DIR__.'/lang/en-GB.php');        
		}
		
        parent::__construct("wshop_wishlist", _WSHOP_WISHLIST_WIDGET, array("description" => _WSHOP_WISHLIST_DESCRIPTION));
    }

    public function widget($args, $instance) {
        $title = apply_filters('widget_title', $instance['title']);
        echo $args['before_widget'];
        if (!empty($title)){
            echo $args['before_title'] . $title . $args['after_title'];
        }

        $cart = Factory::getModel('cart');
        $cart->load("wishlist");
        ?>
        <div id = "wop_shop_module_wishlist">
        <table width = "100%" >
        <tr>
            <td>
              <span id = "jshop_quantity_products"><?php print $cart->count_product?></span>&nbsp;<?php print _WOP_SHOP_PRODUCTS?>
            </td>
            <td>-</td>
            <td>
              <span id = "jshop_summ_product"><?php print formatprice($cart->getSum(0,1))?></span>
            </td>
        </tr>
        <tr>
            <td colspan="3" align="right">
                <a href = "<?php print Route::_('controller=wishlist&task=view', 1)?>"><?php print _WOP_SHOP_GO_TO_WISHLIST?></a>
            </td>
        </tr>
        </table>
        </div>
        <?php echo $args['after_widget'];
    }
    
    public function form($instance) {
        $title = isset($instance['title']) ? esc_attr($instance['title']) : '';        
        ?>
        <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
                
    <?php 
    }
    
    public function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $new_instance = wp_parse_args((array) $new_instance, array('title' => ''));
        $instance['title'] = strip_tags($new_instance['title']);
        
        return $instance;        
    }
}
